# Generated from koduc_express_paypal-1.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name koduc_express_paypal

Name: rubygem-%{gem_name}
Version: 1.1.0
Release: 1%{?dist}
Summary: Gem deals with express checkout one time Paypal Payment using NVP Gateway with partial and full refunds
License: MIT
URL: https://github.com/kartiksolves/koduc-paypal-express
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(rspec)
BuildArch: noarch

%description
koduc_express_paypal is a simple gem used for Paypal Payment Gateway
integration with partial and full refunds. This gem is written by KSolves. The
main aim of this project is to deal with the one time Paypal payment using
express checkout method using NVP(Name Value Pair). One can also make partial
and full refunds.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/koduc_express_paypal.gemspec

%changelog
* Tue Aug 24 2021 mockbuilder - 1.1.0-1
- Initial package
